---
title: FileEntrySync
slug: Web/API/FileEntrySync
tags:
  - API
  - File
  - File System API
  - Interface
  - Non-standard
  - Reference
---
<p>{{APIRef("File System API")}} {{Non-standard_header}}</p>

<p>The <code>FileEntrySync</code> interface of the <a href="/en/DOM/File_API/File_System_API" title="en/DOM/File_API/File_System_API">File System API</a> represents a file in a file system. It lets you write content to a file.</p>

<p>Inherits from: <a href="/en/DOM/File_API/File_System_API/EntrySync" title="EntrySync">EntrySync</a></p>

<h2 id="About_this_document">About this document</h2>

<p>This document was last updated on March 2, 2012 and follows the <a class="external" href="http://www.w3.org/TR/file-system-api/">W3C Specifications (Working Draft)</a> drafted on April 19, 2011.</p>

<p>This specification is more or less abandoned as it didn't get significant traction among browser makers.</p>

<h2 id="basic_concepts">Basic concepts</h2>

<p>To write content to file, create a FileWriter object by calling <a href="#createWriter"><code>createWriter()</code></a>.</p>

<h2 id="Method_overview">Method overview</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td><code>FileWriterSync <a href="#createReader" title="#createWriter">createWriter</a> () raises (<a href="/en/DOM/File_API/File_System_API/FileException" title="en/DOM/File_API/File_System_API/FileException">FileException</a>);</code></td>
  </tr>
  <tr>
   <td><code>File <a href="#File">file</a> () raises (<a href="/en/DOM/File_API/File_System_API/FileException" title="en/DOM/File_API/File_System_API/FileException">FileException</a>);</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Methods">Methods</h2>

<h3 id="createWriter">createWriter()</h3>

<p>Creates a new <code>FileWriter</code> associated with the file that the <code>FileEntry</code> represents.</p>

<pre>void createWriter (
) raises (<a href="https://developer.mozilla.org/en/DOM/File_API/File_System_API/FileException">FileException</a>);</pre>

<h5 id="Parameter">Parameter</h5>

<p>None.</p>

<h5 id="Returns">Returns</h5>

<dl>
 <dt><code>FileWriterSync</code></dt>
</dl>

<h5 id="Exceptions">Exceptions</h5>

<p>This method can raise a <a href="/en/DOM/File_API/File_System_API/FileException" title="en/DOM/File_API/File_System_API/FileException">FileException</a> with the following codes:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Exception</th>
   <th scope="col">Description</th>
  </tr>
  <tr>
   <td><code>NOT_FOUND_ERR</code></td>
   <td>The file does not exist.</td>
  </tr>
  <tr>
   <td><code>INVALID_STATE_ERR</code></td>
   <td>The file is no longer valid for some reason other than it having been deleted.</td>
  </tr>
 </thead>
 <tbody>
 </tbody>
</table>

<h3 id="File">file()</h3>

<p>Returns a File that represents the current state of the file that this <code>FileEntry</code> represents.</p>

<pre>void file (
) raises (<a href="https://developer.mozilla.org/en/DOM/File_API/File_System_API/FileException">FileException</a>);</pre>

<h5 id="Parameter_2">Parameter</h5>

<p>None.</p>

<h5 id="Returns_2">Returns</h5>

<dl>
 <dt><code>File</code></dt>
</dl>

<h5 id="Exceptions_2">Exceptions</h5>

<p>This method can raise a <a href="/en/DOM/File_API/File_System_API/FileException" title="en/DOM/File_API/File_System_API/FileException">FileException</a> with the following codes:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Exception</th>
   <th scope="col">Description</th>
  </tr>
  <tr>
   <td><code>NOT_FOUND_ERR</code></td>
   <td>The file does not exist.</td>
  </tr>
  <tr>
   <td><code>INVALID_STATE_ERR</code></td>
   <td>The file is no longer valid for some reason other than it having been deleted.</td>
  </tr>
 </thead>
 <tbody>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileEntrySync")}}</p>

<h2 id="See_also">See also</h2>

<p>Specification:{{ spec("http://dev.w3.org/2009/dap/file-system/pub/FileSystem/", "File API: Directories and System Specification", "WD") }}</p>

<p>Reference: <a href="/en/DOM/File_API/File_System_API" title="en/DOM/File_API/File_System_API">File System API</a></p>

<p>Introduction: <a href="/en/DOM/File_APIs/Filesystem/Basic_Concepts_About_the_Filesystem_API" title="en/DOM/File_APIs/Filesystem/Basic_Concepts_About_the_Filesystem_API">Basic Concepts About the File System API</a></p>
